# spell-checker:ignore bcond pkgversion buildrequires autosetup PYTHONPATH noarch buildroot bindir sitelib numprocesses clib
%bcond_with     check
%bcond_with     privileged_tests
#global source_date_epoch_from_changelog 0
#global clamp_mtime_to_source_date_epoch 1

Name:           subprocess-tee
Version:        0.4.3
Release:        1.20241207123525824619.pr147.13.g5cbcb9d%{?dist}
Summary:        subprocess-tee

License:        MIT
URL:            https://github.com/pycontribs/subprocess-tee
Source0:        subprocess_tee-0.4.3.dev13.tar.gz

BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python%{python3_pkgversion}-build
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-setuptools_scm
BuildRequires:  python%{python3_pkgversion}-wheel
BuildRequires:  python%{python3_pkgversion}-devel
%if %{with check}
# These are required for tests:
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-pytest-xdist
BuildRequires:  git-core
%endif


%description
subprocess-tee


%prep
%autosetup -n subprocess_tee-0.4.3.dev13


%build
%pyproject_wheel


%generate_buildrequires
%pyproject_buildrequires


%install
%pyproject_install
%pyproject_save_files subprocess_tee

%check
%if %{with check}
  pytest \
  -v \
  --disable-pytest-warnings \
  --numprocesses=auto \
test
%endif


%files -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
* Sat Dec 07 2024 Packit <hello@packit.dev> - 0.4.3-1.20241207123525824619.pr147.13.g5cbcb9d
- Fix project description (Sorin Sbarnea)
- Upgrade linters (#145) (Sorin Sbarnea)
- Remove use of flake8 (#144) (Sorin Sbarnea)
- Make `test_run_string` pass when the default shell is not bash (#137) (Adam Dangoor)
- Use public pytest interface for importing CaptureFixture (#136) (Adam Dangoor)
- Refactor rpm packaging (#125) (Sorin Sbarnea)
- Enable ruff (#143) (Sorin Sbarnea)
- Enable toml-sort (#142) (Sorin Sbarnea)
- Expose support for python 3.13 (#141) (Sorin Sbarnea)
- Update GHA jobs (#139) (Sorin Sbarnea)
- Fix a typo in a test docstring - "Valida" > "Validate" (#135) (Adam Dangoor)
- Remove support for python 3.9 (#140) (Sorin Sbarnea)
- [pre-commit.ci] pre-commit autoupdate (#130) (pre-commit-ci[bot])
